<?php

namespace Litecms\Sitecontent\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class ManageContentTransformer extends TransformerAbstract
{
    public function transform(\Litecms\Sitecontent\Models\ManageContent $manage_content)
    {
        return [
            'id'                => $manage_content->getRouteKey(),
            'key'               => [
                'public'    => $manage_content->getPublicKey(),
                'route'     => $manage_content->getRouteKey(),
            ], 
            'id'                => $manage_content->id,
            'config_key'        => $manage_content->config_key,
            'value'             => $manage_content->value,
            'url'               => [
                'public'    => trans_url('sitecontent/'.$manage_content->getPublicKey()),
                'user'      => guard_url('sitecontent/manage_content/'.$manage_content->getRouteKey()),
            ], 
            'status'            => trans('app.'.$manage_content->status),
            'created_at'        => format_date($manage_content->created_at),
            'updated_at'        => format_date($manage_content->updated_at),
        ];
    }
}